Bug 496750

Summary: 'klist -s' segfaults
Product: [Fedora] Fedora Reporter: David Cantrell <dcantrell>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: nalin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:07:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Cantrell 2009-04-20 18:25:27 EDT
'klist -s' segfaults if I do not have an active Kerberos ticket.  The problem statement is in klist.c around line 445:

     strcmp(creds.server->realm.data, princ->realm.data) == 0

creds.server->realm.data is NULL when it reaches this statement, so strcmp() gets angry.

This only happens with the -s argument to klist.  If I run klist without any arguments, it works fine regardless of having an active ticket or not.
Comment 1 Nalin Dahyabhai 2009-04-21 11:09:09 EDT
That's a weird code path that doesn't seem to trigger here (indeed, if there's a problem fetching a cred from the ccache, it shouldn't even get there).  Which arch are you running this on?  Which package version is it?  When you say you don't have an active ticket, do you mean you have an expired one, or that you don't have a ccache file?
Comment 2 David Cantrell 2009-04-21 15:28:35 EDT
Running on rawhide on x86_64:

krb5-workstation-1.6.3-20.fc11.x86_64

I suppose what I should have said is that I have an expired ticket.  I have no idea if I have a ccache file or not.  I just know that klist crashed on that line.  princ->realm.data actually containted REDHAT.COM, the other one was NULL.
Comment 3 Bug Zapper 2009-06-09 10:15:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:49:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:07:45 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.